#!/bin/bash
npm install -g @lifeomic/cli@8.0.3 #must have npm and node pre-installed

rm ~/.config/configstore/lifeomic-cli.json
touch ~/.config/configstore/lifeomic-cli.json 
echo '{"dev": {"userPooldId": "us-east-1_SBtGmcJ7T", "clientId": "79lsqpmkck69tpdqfrgq9tqs0j", "apiUrl": "https://api.dev.lifeomic.com", "fhirUrl": "https://fhir.dev.lifeomic.com", "ga4ghUrl": "https://ga4gh.dev.lifeomic.com"}}' >> ~/.config/configstore/lifeomic-cli.json

echo ""
echo "LifeOmic CLI has been installed globally. It can be used via command 'lo'"
read -p "Enter lifeomic organization account id(found in top-left of PHC UI): " org
(sleep 0.5; echo 'n'; sleep 0.5; echo 'n'; sleep 0.5; echo 'n') | lo setup -e dev -a "$org"

echo ""
echo "Now authenticate as your PHC user via the browser when prompted."
lo auth

id=$(lo projects create 'HackerOneTesting' | sed 1q)
finalid=$(echo $id | awk '{print $2}')

node makeData.js

sed "s|projectId|$finalid|g" ./newDemoData.json > ./hackerDemoData.json

cat hackerDemoData.json | lo fhir ingest --project=$finalid
